<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.JNCS.cmd.Blacklist</name>
<version>1</version>
<engineversion>25</engineversion>
<description>Set - Unset sectors  in blacklist</description>
<arguments>
<argument index="1" name="sector" type="Var/Sector" desc="Sector to add or remove" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;JNCS</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><var>if&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>'Xai.Sector.Blacklist'</var></line>
<line linenr="006" indent="&#160;"><var>$blacklist&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>'Xai.Sector.Blacklist'</var></line>
<line linenr="007" indent="&#160;"></line>
<line linenr="008" indent=""><comment><text>*&#160;</text><var>print&#160;list&#160;if&#160;sector&#160;is&#160;curent&#160;sector</var></comment></line>
<line linenr="009" indent="&#160;"><var>if&#160;</var><var>$sector</var><text>&#160;</text><var>==</var><text>&#160;</text><var>[SECTOR]</var></line>
<line linenr="010" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>100</var><text>&#160;ms</text></line>
<line linenr="011" indent="&#160;&#160;"><var>$blacklist.size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$blacklist</var></line>
<line linenr="012" indent="&#160;&#160;"><var>$msgbody&#160;=&#160;</var><var>''</var></line>
<line linenr="013" indent="&#160;&#160;"><var>while&#160;</var><var>$blacklist.size</var></line>
<line linenr="014" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$blacklist.size&#160;=&#160;</var></line>
<line linenr="015" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="016" indent="&#160;&#160;&#160;"><var>$sector&#160;=&#160;</var><var>$blacklist</var><text>[</text><var>$blacklist.size</var><text>]</text></line>
<line linenr="017" indent="&#160;&#160;&#160;"><var>$msg&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>1018</var><text>,&#160;</text><var>$sector</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="018" indent="&#160;&#160;&#160;"><var>$msgbody&#160;=&#160;</var><var>$msgbody</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$msg</var></line>
<line linenr="019" indent="&#160;&#160;"><text>end</text></line>
<line linenr="020" indent="&#160;&#160;"><text>write&#160;to&#160;player&#160;logbook:&#160;printf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>1021</var><text>,&#160;</text><var>$msgbody</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="021" indent="&#160;&#160;"><text>play&#160;sample:&#160;incoming&#160;transmission&#160;</text><var>[IncomingTransmission.Greeting]</var><text>,&#160;from&#160;object&#160;</text><var>[THIS]</var></line>
<line linenr="022" indent="&#160;&#160;"></line>
<line linenr="023" indent="&#160;"><text>else</text></line>
<line linenr="024" indent=""><comment><text>*&#160;</text><var>check&#160;sector&#160;is&#160;in&#160;blacklist</var></comment></line>
<line linenr="025" interruptable="@" indent="&#160;&#160;"><var>$find.sector&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.array.find.index</call><text>&#160;:&#160;</text><text>&#160;element=</text><var>$sector</var><text>&#160;</text><text>&#160;array=</text><var>$blacklist</var></line>
<line linenr="026" indent="&#160;&#160;"></line>
<line linenr="027" indent=""><comment><text>*&#160;</text><var>add&#160;or&#160;remove&#160;sector&#160;from&#160;blacklist</var></comment></line>
<line linenr="028" indent="&#160;&#160;"><var>if&#160;</var><var>$find.sector</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>0</var></line>
<line linenr="029" indent="&#160;&#160;&#160;"><text>append&#160;</text><var>$sector</var><text>&#160;to&#160;array&#160;</text><var>$blacklist</var></line>
<line linenr="030" indent="&#160;&#160;"><text>else</text></line>
<line linenr="031" indent="&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$blacklist</var><text>&#160;at&#160;index&#160;</text><var>$find.sector</var></line>
<line linenr="032" indent="&#160;&#160;"><text>end</text></line>
<line linenr="033" indent="&#160;&#160;"></line>
<line linenr="034" indent="&#160;"><text>end</text></line>
<line linenr="035" indent=""><text>end</text></line>
<line linenr="036" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.JNCS.cmd.Blacklist" /><sval type="int" val="25" /><sval type="string" val="Set - Unset sectors  in blacklist" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="6"><sval type="string" val="sector" /><sval type="string" val="blacklist" /><sval type="string" val="blacklist.size" /><sval type="string" val="msgbody" /><sval type="string" val="msg" /><sval type="string" val="find.sector" /></sval><sval type="array" size="22"><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="5" /><sval type="string" val="Xai.Sector.Blacklist" /><sval type="int" val="-1610607357" /></sval><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="5" /><sval type="string" val="Xai.Sector.Blacklist" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608637" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610609399" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="1018" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="6" /></sval><sval type="array" size="15"><sval type="int" val="403" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="1021" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="201" /><sval type="int" val="131075" /><sval type="int" val="302" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.array.find.index" /><sval type="int" val="5" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607613" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="14" /><sval type="string" val="Sector to add or remove" /></sval></sval><sval type="array" size="17"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of JNCS" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="2" /><sval type="int" val="1" /><sval type="string" val="print list if sector is curent sector" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="5" /></sval><sval type="array" size="3"><sval type="int" val="16" /><sval type="int" val="1" /><sval type="string" val="check sector is in blacklist" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="17" /><sval type="int" val="1" /><sval type="string" val="add or remove sector from blacklist" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval></sval><sval type="int" val="1231" /></sval>
</codearray>
</script>
